import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "卡片",
  thumbnail: require("@/assets/comps/Card11/thumbnail.jpg"),
  value: {},
  layout: {
    padding: "0.5rem 0",
  },
  children: {
    text: {
      value: `<p><span style="color:#666;font-size:12px;"><strong>皮中贵族，触及之处皆舒适，柔韧度高的细腻肌理皮革，触感柔润亲肤，透气</strong></span></p><p><span style="color:#666;font-size:12px;"><strong>质量经久耐磨，性价比高， 经典之作用不过时。 潮流耐磨的2023年最新款皮革材料</strong></span></p>`,
      layout: {
        textAlign: "center",
      },
    },
    img1: {
      compKey: "Image",
      value: {
        url: require("@/assets/comps/Card11/img_1.jpg"),
      },
    },
    img2: {
      compKey: "Image",
      value: {
        url: require("@/assets/comps/Card11/img_shoe.png"),
      },
    },
  },
});

export const Form = createAttrsForm([]);
