import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "卡片",
  thumbnail: require("@/assets/comps/Card12/thumbnail.jpg"),
  value: {},
  layout: {
    padding: "0.5rem 0",
  },
  children: {
    text: {
      value: `<p style="text-align:right;"><span style="color:hsl(0, 0%, 0%);font-size:20px;"><strong>P190-2#</strong></span></p>`,
      layout: {
        textAlign: "center",
      },
    },
    text2: {
      value: `<p style="text-align:center;">P190-2#</p>`,
      layout: {
        textAlign: "center",
      },
    },
    img1: {
      compKey: "Image",
      value: {
        url: require("@/assets/comps/Card12/img_1.jpg"),
      },
    },
  },
});

export const Form = createAttrsForm([]);
