import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "卡片",
  thumbnail: require("@/assets/comps/Card14/thumbnail.jpg"),
  value: {},
  layout: {
    padding: "0.5rem 0",
  },
  children: {
    text: {
      value: `<p style="text-align:center;"><span style="color:hsl(0, 0%, 0%);font-size:12px;">蓝色是个舒服的颜色，</span></p><p style="text-align:center;"><span style="color:hsl(0, 0%, 0%);font-size:12px;">&nbsp;处处充满着生机和希望，</span></p><p style="text-align:center;"><span style="color:hsl(0, 0%, 0%);font-size:12px;">&nbsp;其明净空旷往往让人迷失其中，&nbsp;</span></p><p style="text-align:center;"><span style="color:hsl(0, 0%, 0%);font-size:12px;">给人无限的对未来的憧憬，&nbsp;</span></p><p style="text-align:center;"><span style="color:hsl(0, 0%, 0%);font-size:12px;">不需要过多的言语，</span></p><p style="text-align:center;"><span style="color:hsl(0, 0%, 0%);font-size:12px;">让心灵感到平和</span></p>`,
      layout: {
        textAlign: "center",
      },
    },
    img1: {
      compKey: "Image",
      value: {
        url: require("@/assets/comps/Card14/img_1.jpg"),
      },
    },
    imgShoe: {
      compKey: "Image",
      value: {
        url: require("@/assets/comps/Card14/img_shoe.jpg"),
      },
    },
  },
});

export const Form = createAttrsForm([]);
